summaryrefslogtreecommitdiffstats
path: root/ci/apex_build.sh
diff options
context:
space:
mode:
authorRajithaY <rajithax.yerrumsetty@intel.com>2017-03-20 15:15:28 +0530
committerRajitha Yerrumchetty <rajithax.yerrumsetty@intel.com>2017-03-20 16:50:14 +0000
commitc3893858bf09f4cca8850fb9b0f59f1a050f6b38 (patch)
tree8d3a3b2e093ee8d7ef7cee56080caefa77783611 /ci/apex_build.sh
parentd946629e1c1851dd12fd2f2664e9a12fc1b6c9bc (diff)
This patch contains the code changes to check the commit id in
the apex.conf file is valid or not and to update the stress_isolcpus to 22-43 on console Change-Id: I6a2e78f51f2371042bcbfa4f8c3e31b316938528 Signed-off-by:RajithaY<rajithax.yerrumsetty@intel.com>
Diffstat (limited to 'ci/apex_build.sh')
-rwxr-xr-xci/apex_build.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/ci/apex_build.sh b/ci/apex_build.sh
index 5b8184076..8e57ac847 100755
--- a/ci/apex_build.sh
+++ b/ci/apex_build.sh
@@ -12,6 +12,10 @@ if [ "$branch" == "master" ] || [ "$branch" == "danube" ];then
echo "Checking out on $branch branch"
echo "Commit-id is ${commit_id}"
git checkout -f ${commit_id}
+ if [ $? -ne 0 ];then
+ echo "Please check the commit-id provided in apex.conf"
+ exit 1
+ fi
fi
mkdir ${output_dir}
}